## cascading.flow
Class FlowReducer

    java.lang.Object
      org.apache.hadoop.mapred.MapReduceBase
          cascading.flow.FlowReducer

All Implemented Interfaces:
  Closeable, JobConfigurable, Reducer

    public class FlowReducer

extends MapReduceBase
implements Reducer

Class FlowReducer is the Hadoop Reducer implementation.

Constructor Summary
`FlowReducer()` Constructor FlowReducer creates a new FlowReducer instance.

Method Summary
`void` `close()`
`void` `configure(JobConf jobConf)`
`void` `reduce(Object key, Iterator values, OutputCollector output, Reporter reporter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowReducer

    public FlowReducer()

  Constructor FlowReducer creates a new FlowReducer instance.

Method Detail

### configure

    public void configure(JobConf jobConf)

  Specified by:
    `configure` in interface `JobConfigurable`
  Overrides:
    `configure` in class `MapReduceBase`

### reduce

    public void reduce(Object key,
                       Iterator values,
                       OutputCollector output,
                       Reporter reporter)
                throws IOException

  Specified by:
    `reduce` in interface `Reducer`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `MapReduceBase`
  Throws:
    `IOException`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.